> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thehog.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List LinkedIn profile reactions

> Fetch recent LinkedIn posts a public profile has reacted to.

# POST /api/v1/platform/scrapers/linkedin/profile-reactions

> List posts a LinkedIn profile reacted to.

Retrieve recent public LinkedIn posts a profile has reacted to. Provide profile URLs or public profile usernames.

<Tip>
  See [Find Outreach Hooks from LinkedIn Activity](/guides/linkedin-outreach-hooks) for an end-to-end script that combines profile reactions and comments into outreach context.
</Tip>

## Options

* `profiles`: LinkedIn `/in/` profile URLs or public profile usernames.
* `maxItems`: maximum reactions to scrape per profile.
* `postedLimit`: optional post age filter. Accepted values: `any`, `24h`, `week`, `month`, `3months`, `6months`, `year`.

## Example

```bash theme={null} theme={"theme":{"light":"github-light","dark":"github-dark"}}
curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/profile-reactions \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"profiles": ["https://www.linkedin.com/in/satyanadella"], "maxItems": 10, "postedLimit": "month"}'
```


## OpenAPI

````yaml api-reference/openapi.json POST /api/v1/platform/scrapers/linkedin/profile-reactions
openapi: 3.0.0
info:
  title: The Hog API
  description: Public API reference for The Hog.
  version: '1.0'
  contact: {}
servers:
  - url: https://developer.thehog.ai
security: []
tags: []
paths:
  /api/v1/platform/scrapers/linkedin/profile-reactions:
    post:
      tags:
        - Scrapers
      summary: List LinkedIn profile reactions
      description: Fetch recent LinkedIn posts a public profile has reacted to.
      operationId: listLinkedInProfileReactions
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlatformLinkedInProfileActivityDto'
      responses:
        '200':
          description: LinkedIn profile reactions.
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - meta
                additionalProperties: false
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/LinkedInProfileReactionResponseDto'
                  meta:
                    $ref: '#/components/schemas/PublicResponseMetaDto'
        '400':
          description: The request body or parameters are invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorResponseDto'
              example:
                statusCode: 400
                error: Bad Request
                message: Validation failed
                path: /api/v1/search
                timestamp: '2026-05-21T09:08:10.000Z'
                requestId: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
                errors:
                  - property: body.query
                    message: query must be a string
                    constraints:
                      isString: query must be a string
        '401':
          description: Authentication is required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorResponseDto'
              example:
                statusCode: 401
                error: Unauthorized
                message: Authentication is required.
                path: /api/v1/search
                timestamp: '2026-05-21T09:08:10.000Z'
                requestId: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
        '402':
          description: The organization does not have enough credits for this request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorResponseDto'
              example:
                statusCode: 402
                error: Payment Required
                message: Insufficient credits.
                path: /api/v1/search
                timestamp: '2026-05-21T09:08:10.000Z'
                requestId: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
        '500':
          description: An unexpected error occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorResponseDto'
              example:
                statusCode: 500
                error: Internal Server Error
                message: An unexpected error occurred.
                path: /api/v1/search
                timestamp: '2026-05-21T09:08:10.000Z'
                requestId: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
        '502':
          description: The upstream service could not complete the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorResponseDto'
              example:
                statusCode: 502
                error: Bad Gateway
                message: An unexpected error occurred.
                path: /api/v1/search
                timestamp: '2026-05-21T09:08:10.000Z'
                requestId: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
      security:
        - AccessKey: []
          SecretKey: []
components:
  schemas:
    PlatformLinkedInProfileActivityDto:
      type: object
      properties:
        profiles:
          description: LinkedIn profile URLs or public profile usernames.
          example:
            - https://www.linkedin.com/in/satyanadella
            - some-public-id
          type: array
          items:
            type: string
        maxItems:
          type: number
          minimum: 1
          maximum: 100
          default: 10
        postedLimit:
          type: string
          enum:
            - any
            - 24h
            - week
            - month
            - 3months
            - 6months
            - year
          default: any
          description: Fetch posts no older than this time window.
      required:
        - profiles
    LinkedInProfileReactionResponseDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        profileUrl:
          type: string
        profileUsername:
          type: string
        reactionType:
          type: string
        reactedAt:
          type: string
          nullable: true
        sourceUrl:
          type: string
          nullable: true
        post:
          $ref: '#/components/schemas/LinkedInProfileActivityPostResponseDto'
        actor:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/LinkedInProfileActivityActorResponseDto'
      required:
        - profileUrl
        - profileUsername
        - reactionType
        - post
    PublicResponseMetaDto:
      type: object
      properties:
        requestId:
          type: string
      required:
        - requestId
    PublicErrorResponseDto:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        error:
          type: string
          example: Bad Request
        message:
          type: string
          example: Validation failed
        path:
          type: string
          example: /api/v1/search
        requestId:
          type: string
          example: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
        timestamp:
          type: string
          example: '2026-05-21T09:08:10.000Z'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/PublicValidationErrorItemDto'
      required:
        - statusCode
        - error
        - message
        - path
        - timestamp
    LinkedInProfileActivityPostResponseDto:
      type: object
      properties:
        postId:
          type: string
          nullable: true
        postUrl:
          type: string
          nullable: true
        text:
          type: string
          nullable: true
        authorName:
          type: string
          nullable: true
        authorProfileUrl:
          type: string
          nullable: true
        authorCompanyUrl:
          type: string
          nullable: true
        postedAt:
          type: string
          nullable: true
        reactionCount:
          type: number
          nullable: true
        commentCount:
          type: number
          nullable: true
        repostCount:
          type: number
          nullable: true
    LinkedInProfileActivityActorResponseDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        type:
          type: string
          enum:
            - profile
            - company
          nullable: true
        name:
          type: string
          nullable: true
        linkedinUrl:
          type: string
          nullable: true
        position:
          type: string
          nullable: true
        universalName:
          type: string
          nullable: true
        pictureUrl:
          type: string
          nullable: true
    PublicValidationErrorItemDto:
      type: object
      properties:
        property:
          type: string
          example: body.query
        message:
          type: string
          example: query must be a string
        constraints:
          type: object
          additionalProperties:
            type: string
          example:
            isString: query must be a string
      required:
        - property
        - message
  securitySchemes:
    AccessKey:
      type: apiKey
      in: header
      name: X-Access-Key
      description: The public API key from the Credentials page.
    SecretKey:
      type: apiKey
      in: header
      name: X-Secret-Key
      description: The API secret shown when the credential is created.

````